質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

87.78%

ubuntuに指定のバージョンのGoogle Chromeをインストールする方法

受付中

回答 3

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 4,142

score 136

ubuntuに、指定のバージョンのGoogle Chromeをインストールしたいです。
Qiitaの記事を参考に、行なっていたのですが、こちらの記事は「stable」バージョンのインストール方法かと思います。
自分はバージョン80.0.3987.106をインストールしたいのですが、記事内の以下の部分は、「stable main」の部分をバージョンの番号に書き換えれば良いのでしょうか?

sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'


他にも、変更する部分がありましたら、教えて貰えたらありがたいです。
よろしくお願いします。

追記です
以下の部分のstable mainの箇所を「80.0.3987.106」として、書き換えました。

sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'


その後、以下のコマンドを打ち込みました。

ls -l /etc/apt/sources.list.d
cat /etc/apt/sources.list.d/google.list
sudo wget -q -O - https://dl-ssl.google.com/linux/linux_signing_key.pub | sudo apt-key add -
sudo apt update
apt list google*


しかし、apt list google*ここの結果が以下のようになってしまいまい、パッケージリストが表示されていない状態です。

E: Malformed entry 2 in list file /etc/apt/sources.list.d/google.list (Component)
E: The list of sources could not be read.
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • Y.H.

    2020/03/26 17:48

    > 書き換えれば良いのでしょうか?
    まずはやってみましょう。
    で、やってみた結果エラーが出たら詳細記載し質問しましょう。

    キャンセル

  • aae_11

    2020/03/26 17:59

    追記しました。

    キャンセル

回答 3

0

stable main80.0.3987.106にしちゃいかんとおもうなぁ...

man apt-get

apt-get ... install  パッケージ [{= パッケージバージョン番号 | / 対象リリース}]

だから、こう、なのかもしれません。

apt-get install google-chrome-stable=80.0.3987.106

自分の環境で試す勇気はありません。あしからず。

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/03/27 11:49

    ご回答ありがとうございます。
    「apt-get install google-chrome-stable=80.0.3987.106」こちらを試してみたいのですが、「sudo sh -c 'echo "deb http://dl.google.com/linux/chrome/deb/ stable main" >> /etc/apt/sources.list.d/google.list'」ここの部分はそのままでも良いでしょうか...?

    キャンセル

0

セキュリティ上の問題もあるため、公式リポジトリに過去版は蓄えていないようです。ですから、aptコマンドでバージョンを指定しての取得は不可能だと思います。どうしても必要なら、非公式に過去版を配布しているサイトを探すしかないのでは。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/04/06 09:07

    ご回答ありがとうございます。
    取り敢えずは、Chromeは使用しない方法で進めていくことに致しました。

    キャンセル

0

https://www.slimjet.com/chrome/google-chrome-old-version.php
からダウンロードするぐらいしか思いつかない。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 87.78%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る